<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="5" infoRejectCounter="3">
  <summary>
    <timer wall-clock="0.563s" wall="0.563" cpu="1.73542" calls="1"/>
    <!-- memory in MB-->
    <memory final="476.49" peak="478.5"/>
  </summary>
  <header id="">
    <environment started="2022-Dec-01 15:46:29" host="momo"/>
    <progOpts problem="SinCosFilter" parameterFile="/code/interface-sgp-external/Testsuite/TESTSUIT/Optimization/Optimizer/SGP/SinCosFilter/SinCosFilter.xml" schemaPath="/home/bvu/code/interface-sgp-external/share/xml" meshFile="" logConfFile="" detailed="no">
      <cfs version="21.03" name="Frohes Fensterln" build="Debug" git_commit="c417a07f6fdc6ce229e8aac68f9009cf3b9d8184" git_branch="interface-sgp-external" exe="cfs_debug"/>
      <openmp CFS_NUM_THREADS="4" MKL_NUM_THREADS="4" OMP_NUM_THREADS="4"/>
    </progOpts>
    <domain nx="6" ny="4" nz="1">
      <grids>
        <timer wall-clock="0.029s" wall="0.029" cpu="0.035718" calls="1"/>
        <grid gridId="default" dimensions="3" elements="24" nodes="70"/>
      </grids>
      <coordinateSystems>
        <system name="default"/>
      </coordinateSystems>
      <regions>
        <region name="mech" id="0" type="volume" regular="yes" hom="yes" nodes="70" elems="24" isQuadratic="no"/>
      </regions>
      <namedNodes>
        <nodes name="left" count="10"/>
        <nodes name="right" count="10"/>
        <nodes name="bottom" count="14"/>
        <nodes name="top" count="14"/>
        <nodes name="back" count="35"/>
        <nodes name="front" count="35"/>
        <nodes name="left_bottom_back" count="1" coord="(0,0,0)"/>
        <nodes name="right_bottom_back" count="1" coord="(3,0,0)"/>
        <nodes name="left_top_back" count="1" coord="(0,2,0)"/>
        <nodes name="right_top_back" count="1" coord="(3,2,0)"/>
        <nodes name="left_bottom_front" count="1" coord="(0,0,0.1)"/>
        <nodes name="right_bottom_front" count="1" coord="(3,0,0.1)"/>
        <nodes name="left_top_front" count="1" coord="(0,2,0.1)"/>
        <nodes name="right_top_front" count="1" coord="(3,2,0.1)"/>
        <nodes name="bottom_back" count="7"/>
        <nodes name="bottom_front" count="7"/>
        <nodes name="bottom_left" count="2"/>
        <nodes name="bottom_right" count="2"/>
        <nodes name="top_back" count="7"/>
        <nodes name="top_front" count="7"/>
        <nodes name="top_left" count="2"/>
        <nodes name="top_right" count="2"/>
        <nodes name="back_left" count="5"/>
        <nodes name="back_right" count="5"/>
        <nodes name="front_left" count="5"/>
        <nodes name="front_right" count="5"/>
        <nodes name="load1" count="2"/>
        <nodes name="load2" count="2"/>
      </namedNodes>
      <namedElements/>
      <globalMathParser dt="0" f="0" nx="6" ny="4" nz="1" step="0" t="0" t0="0"/>
    </domain>
    <results>
      <timer wall-clock="0.003s" wall="0.003" cpu="0.01574" calls="13"/>
    </results>
  </header>
  <calculation>
    <process/>
  </calculation>
  <sequenceStep sequence="1">
    <static>
      <init_static>
        <timer wall-clock="0.266s" wall="0.266" cpu="1.0537" calls="1"/>
      </init_static>
    </static>
    <PDE>
      <mechanic>
        <header>
          <region name="mech" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="LinElastInt">
                <coef value="CoefFunctionOpt"/>
              </bilinearForm>
              <bilinearForm integrator="LinElastInt" type="BDBInt" complex="no" BOp="StrainOperator3D" region="mech">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms>
              <linearForm integrator="NodalForceInt" region="">
                <entities name="load1" size="2" region="no_region"/>
                <row pde="mechanic" result="mechDisplacement" solutionDependent="no"/>
              </linearForm>
              <linearForm integrator="NodalForceInt" region="">
                <entities name="load2" size="2" region="no_region"/>
                <row pde="mechanic" result="mechDisplacement" solutionDependent="no"/>
              </linearForm>
            </rhsLinearForms>
          </integrators>
        </header>
        <material name="99lines">
          <regionList>
            <region name="mech"/>
          </regionList>
          <property name="Mechanic_Stiffness_Tensor">
            <tensor dim1="6" dim2="6">
              <real>
                 1.346154e+00  5.769231e-01  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  1.346154e+00  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  5.769231e-01  1.346154e+00  0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01
              </real>
            </tensor>
          </property>
          <property name="Mechanic_Elasticity_Modulus" value="(1,0)"/>
          <property name="Mechanic_Poisson_Ratio" value="(0.3,0)"/>
          <property name="Density" value="(1e-08,0)"/>
          <property name="Rayleigh_Frequency" value="1000"/>
          <property name="Loss_TangensDelta" value="0.029999999999999999"/>
        </material>
        <feSpaces>
          <mechDisplacement>
            <h1Nodal>
              <regionList>
                <mech/>
                <default order="1"/>
              </regionList>
            </h1Nodal>
          </mechDisplacement>
        </feSpaces>
        <feFunctions>
          <mechDisplacement/>
          <homDirichletBC>
            <nodeList name="left_bottom_back" dofs="x y z"/>
            <nodeList name="left_bottom_front" dofs="x y z"/>
            <nodeList name="left_top_back" dofs="x y z"/>
            <nodeList name="left_top_front" dofs="x y z"/>
            <nodeList name="right_bottom_back" dofs="x y z"/>
            <nodeList name="right_bottom_front" dofs="x y z"/>
            <nodeList name="right_top_back" dofs="x y z"/>
            <nodeList name="right_top_front" dofs="x y z"/>
          </homDirichletBC>
          <inhomDirichletBC/>
        </feFunctions>
      </mechanic>
    </PDE>
    <OLAS>
      <mechanic>
        <setup idbcHandling="elimination" staticCondensation="no">
          <feFunctions totalNumEqns="186" totalNumFreeEqns="186" totalNumDirichlet="0">
            <function id="0" name="mechDisplacement" numEqns="186" lastFreeEqn="186" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <sbmBlocks>
            <block id="0" size="186" lastFreeIndex="186"/>
          </sbmBlocks>
        </setup>
        <solver>
          <cholmod>
            <header>
              <parameters>
                <factorization>
                  <nmethods default="0"/>
                  <postorder default="1"/>
                  <dbound default="0"/>
                </factorization>
                <supernodal>
                  <method default="auto"/>
                  <switch default="40"/>
                </supernodal>
                <output>
                  <level default="3"/>
                  <precise default="0"/>
                </output>
              </parameters>
            </header>
            <summary>
              <setup>
                <timer label="setup_cholmod" wall-clock="0s" wall="0" cpu="0.012873" calls="1"/>
              </setup>
              <solve>
                <timer label="solve_cholmod" wall-clock="0s" wall="0" cpu="0.000117" calls="2"/>
              </solve>
            </summary>
            <process>
              <setup selected_factorization_method="1" ll_flop_count="2.2519e+05" nz_in_L="6159" nz_in_triA="4035" memory_usage="" memory_inuse="" malloc_count="" nrealloc_col="0" nrealloc_factor="0" ndbounds_hit="0">
                <method id="1" lnz="6159" fl="2.2519e+05"/>
              </setup>
              <solver/>
            </process>
          </cholmod>
        </solver>
        <precond>
          <idPrecond>
            <summary>
              <precond_Id_setup>
                <timer wall-clock="0s" wall="0" cpu="2e-06" calls="1"/>
              </precond_Id_setup>
              <precond_Id_run>
                <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
              </precond_Id_run>
            </summary>
          </idPrecond>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </mechanic>
      <graph_setup>
        <timer wall-clock="0.019s" wall="0.019" cpu="0.074966" calls="1" sub="true"/>
      </graph_setup>
      <reorder_Metis>
        <timer wall-clock="0s" wall="0" cpu="0.000524" calls="1" sub="true"/>
      </reorder_Metis>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall-clock="0.009s" wall="0.009" cpu="0.034002" calls="4"/>
        </assemble>
      </summary>
    </analysis>
  </sequenceStep>
  <optimization haltopt_file="/code/interface-sgp-external/Testsuite/TESTSUIT/Optimization/Optimizer/SGP/SinCosFilter/HALTOPT">
    <header>
      <objective type="compliance" name="compliance" linear="yes" filtered="yes" task="minimize"/>
      <multipleExcitations type="no_type"/>
      <constraints>
        <constraint type="volume" name="volume_(density)" linear="yes" filtered="yes" bound_value="0.3" bound="upperBound" design="density" excitation="1"/>
      </constraints>
      <designSpace pamping="0" regular="yes">
        <setup_design>
          <timer wall-clock="0.002s" wall="0.002" cpu="0.011307" calls="2"/>
        </setup_design>
        <filters use_mat_filt="yes"/>
        <ersatzMaterialFile file="init_0-pi2.density.xml" source="problem file"/>
        <transferFunctions>
          <transferFunction type="identity" application="no_app" design="default"/>
          <transferFunction type="simp" application="mech" design="density" param="3"/>
        </transferFunctions>
        <designVariables opt_vars="48" field_elems="48" field_fe_elemes="24">
          <design type="density" upperBound="1" lowerBound="0.001" physicalLowerBound="1e-09"/>
          <design type="rotAngleFirst" upperBound="3.1416" lowerBound="0" physicalLowerBound="0"/>
        </designVariables>
        <localElementCache org="0" shadow="0" mat_deriv="0" megabytes="0"/>
        <regions>
          <region name="mech" elements="24" bimaterial="-"/>
        </regions>
      </designSpace>
      <sequence step="1" complex="no" harmonic="no" eigenvalue="no" bloch="no" material="mechanic" homogenization="no"/>
      <filters periodic="no">
        <filter type="maxEdge" value="1.1" contribution="linear" design="density" avg_radius="0.55" avg_neighbors="3.1667">
          <timer wall-clock="0.001s" wall="0.001" cpu="0.001834" calls="1"/>
        </filter>
        <filter type="maxEdge" value="1.1" contribution="linear" design="rotAngleFirst" avg_radius="0.55" avg_neighbors="3.1667">
          <timer wall-clock="0s" wall="0" cpu="0.000528" calls="1"/>
        </filter>
      </filters>
      <excitations>
        <excitation index="0" meta_idx="0" label="0" weight="1" normalized_weight="0.5" load="load1"/>
        <excitation index="1" meta_idx="0" label="1" weight="1" normalized_weight="0.5" load="load2"/>
      </excitations>
      <sgp/>
    </header>
    <commit mode="forward" stride="9999"/>
    <designSpace>
      <header>
        <warning> There are designs specified that are not used!</warning>

      </header>
    </designSpace>
    <optimizer>
      <summary>
        <sgp>
          <timer wall-clock="0.077s" wall="0.077" cpu="0.241639" calls="6"/>
        </sgp>
      </summary>
      <sgp>
        <params max_iter="0" max_bisecs="20" max_globs="20" J_stop="1e-06" vol_stop="0.001" p_filt_density="0.1" p_filt_angle="0.2" tau_init="1e-06" tau_incr="10" n_ip="8" model="zeroAsymptotes" filtering="non-linear" generatePlotData="no"/>
        <hierGrid n_levels="3" samples_rho="5" samples_phi="7" samples_theta="1" samples_psi="1"/>
        <bounds>
          <density min="0.001" max="1"/>
          <rotAngleFirst min="0" max="3.1416"/>
          <rotAngleSecond min="0" max="0"/>
          <rotAngleThird min="0" max="0"/>
        </bounds>
      </sgp>
    </optimizer>
    <summary>
      <eval_objective>
        <timer wall-clock="0s" wall="0" cpu="0.000397" calls="2"/>
      </eval_objective>
      <eval_constraints>
        <timer wall-clock="0s" wall="0" cpu="0.000159" calls="1"/>
      </eval_constraints>
      <eval_grad_objective>
        <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
      </eval_grad_objective>
      <eval_grad_constraints>
        <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
      </eval_grad_constraints>
      <break converged="no"/>
      <reason msg="running"/>
    </summary>
    <process>
      <iteration number="0" duration="0.555" compliance="1304.9397456555" volume_density="0.2">
        <excitation index="0" objective="1305" objective_weight="0.5"/>
        <excitation index="1" objective="1304.9" objective_weight="0.5"/>
      </iteration>
    </process>
  </optimization>
</cfsInfo>